stack = "{{ cloudstack.stack.name }}"
hcloud_token = "{{ cloudstack.plugins.hcloud_vms.config.token | default(cloudstack.plugins.hcloud.config.token, true) }}"
ssh_public_key = "{{ context }}/{{ cloudstack.plugins.ssh.config['keys']['public'] }}"
inventory_file = "{{ context }}/inventory.yml"
master_count = "{{ cloudstack.plugins.hcloud_vms.config.master.count | default(cloudstack.plugins.hcloud.config.master.count) }}"
master_type = "{{ cloudstack.plugins.hcloud_vms.config.master.type | default(cloudstack.plugins.hcloud.config.master.type,true) }}"
master_location = "{{ cloudstack.plugins.hcloud_vms.config.master.location | default(cloudstack.plugins.hcloud.config.master.location,true) }}"
# not setting "true" for default() because if cloudstack.plugins.hcloud_vms.node.count == 0, 
# Ansible will use the default, even if 0 is a perfectly valid node count
node_count = "{{ cloudstack.plugins.hcloud_vms.config.node.count | default(cloudstack.plugins.hcloud.config.node.count) }}"
node_type = "{{ cloudstack.plugins.hcloud_vms.config.node.type | default(cloudstack.plugins.hcloud.config.node.type,true) }}"
node_location = "{{ cloudstack.plugins.hcloud_vms.config.node.location | default(cloudstack.plugins.hcloud.config.node.location,true) }}"
os_image = "{{ cloudstack.plugins.hcloud_vms.config.os_image }}"